| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3382 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 155 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 145 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | BledDest | 136 |
| 8 | adamant | 134 |
| 9 | maroonrk | 132 |
| 10 | cry | 130 |
|
0
Binary search over non-monotonous function in D is a beautiful trick! |
|
0
Why did you "set a problem" that you had already "seen/solved both parts multiple times" of before? Was that for a non-"serious competition"? Jokes aside, all problems at BOI go through a review process involving multiple people, both from the official jury and the representatives of all delegations, taking into account aspects like difficulty, originality, amount/quality of meaningful subtasks, as well as all that in the context of the other problems. The problem in question may not be the most original one (heck, truly original problems are so rare tbh) but it was decided to (and ultimately turned out to) serve its purpose well. |
|
+25
It was voted by participants to keep the scoreboard hidden during the contest: https://codeforces.me/blog/entry/80321?#comment-665679 Note, though, that a relative comparison of problem difficulties doesn't really apply here (and competitions of similar format) since each problem contains multiple subtasks of varying degrees of difficulty. So in essence, you already know before-hand that focusing on subtasks is going to be easier than tackling the full problems. |
|
+24
Nitpick. I don't think the $$$α(N)$$$ part is valid. You get it if you add "path compression" to DSU, but (afaik) you can't do that for dynamic DSU. Should be $$$log(N)$$$ instead in this case. |
|
0
roughly speaking, that's exactly that. |
|
+5
nice problems. keep up the good work. |
|
+3
That's a pity no qualification round is in holidays.
|
|
+1
I understand (roughly) how the system works, however, I was quite surprised that by finishing 2nd (out of almost 1000 participants) I improved my rating by only 70 points. That's harsh. I hadn't participated for a while and had fallen to div2 because of the change in div1-div2 bound. So I expected this contest to be more a formality, but actually barely made it to div1. Had I failed a problem or two and I would have stayed in div2 despite being close to the bound. In general I think the system rewards low-rated coders who performed very good and average-rated coders who performed OK too much. It should be this way, but in smaller proportions. |
|
0
Are the formulas used for calculating rating available anywhere?
|
|
+6
I am a fan of constructive argumentation; I would, therefore, be happy to learn some advantages of not releasing official test data. Until that I support all the frustrated coders who just can't find bugs in their solutions. Contest is one thing, but in my opinion the process of practice would only benefit if test data was available - whether one decides to use it or not, it is totally his/her responsibility and choice of training techniques.
|
| Name |
|---|


